#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-B6vd42wmWGEbOiqB2NJAW
key:                  coinbase-pro-0.9.3.2-B6vd42wmWGEbOiqB2NJAW
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  b1e5bf50faea27217be9cf621e05f0c4
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.4.8/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.4.8/site-local/coinbase-pro-0.9.3.2
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-B6vd42wmWGEbOiqB2NJAW
depends:
    HsOpenSSL-0.11.7.9-HXooCNhjxUPBeXi8ZhiMVZ
    aeson-2.1.2.1-8pX4IwvbwpcwXiIiReOQk
    aeson-casing-0.2.0.0-ECthhN5caT52bqwQqMJ2rv
    async-2.2.5-1OQdSrpaQikD5R3gghkNQo base-4.17.2.1 binary-0.8.9.1
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-3dtYBQp3BahCQATU6BzFJT exceptions-0.10.5
    http-api-data-0.5.1-E52kqziLo7OD2cD3QrOt56
    http-client-0.7.17-4LgBMBy5FNk53TDUVte9gy
    http-client-tls-0.3.6.3-4Y419E7wE0K2HRlYAeaqTl
    http-streams-0.8.9.9-4xUPi2FhKCJKf5eGJhR3Z2
    http-types-0.12.4-7BozLfTXeEWGYT0EKpPSnr
    io-streams-1.5.2.2-LG4u21vAMKvFisDde9YIWA
    memory-0.18.0-1oHOZXUPjWrG0kImkORGvt
    network-3.1.4.0-ExLckjbUqaB9dQ68XDq8jI
    servant-0.20.2-BqTmGQ3pSbdHwju257xauA
    servant-client-0.20-HyccBthUdlTHsKFB54Z237
    servant-client-core-0.20.2-BoxM0ge2s3G6CFoq13FaYM
    tasty-1.4.3-1VgnHOByr8AIto1CnZp8DF
    tasty-hunit-0.10.1-LfHmQXAWUPe1Biw4LJ9VgI text-2.0.2 time-1.12.2
    transformers-0.5.6.2 unagi-streams-0.2.7-HTes1dvpGay8iMLd0NhCJd
    unordered-containers-0.2.20-8U9CBLajvKUXcrLJVqNaj
    uuid-1.3.16-Cc71MSJ2s0fI1EVbqbPDWs
    vector-0.13.1.0-3m7HMvWbOJNDnUiYgFdHrI
    websockets-0.12.7.3-JU9euJcPlg5KWwWfZpARTv
    wuss-2.0.1.1-7WcfKhKOwUFHokzBX7GHZS

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

